<bugID>1377202<Summary>Bookmark icon in location bar not visible with Compact Dark Theme (and potentially dark OS themes and/or other dark lightweight themes)</Summary><Description>Created attachment 8882284
example image for barely visible star icon

User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Build ID: 20170629030206

Steps to reproduce:

- updated to most recent nightly release "56.0a1 (2017-06-29)(64-Bit)"
- selected "Compact Dark" theme


Actual results:

Bookmark "star" icon is barely visible in the address bar (black icon on VERY dark background)


Expected results:

Would have expected the bookmark icon to change color to something lighter.

The light grey color of the reading mode icon would probably fit rather well.</Description></bugID>